This Mod is situated in 1004 AD, just at start of the High Middle Ages. In Europe, major political changes and territorial redistributions have emerged. This stage leads to the formation of a new European space with greater stability than in previous centuries and where feudalism is consolidated, along with the birth of new local powers; but the territorial and economic ambition of the high nobility can bring numerous military conflicts.

NEW: If you select the "Grand Campaign" option, you can play with ALL FACTIONS of the mod.

DOWNLOAD LINK: European High Middle Ages

To follow the news about the mod and updates also can visit the TWCenter website


  • View media
  • View media
  • View media
  • View media
  • View media
  • View media
Post article Articles

No articles were found matching the criteria specified. We suggest you try the article list with no filter applied, to browse all available. Post article and help us achieve our mission of showcasing the best content from all developers. Join now to share your own content, we welcome creators and consumers alike and look forward to your comments.

Add file RSS Files
European High Middle Ages

European High Middle Ages

Patch 4 comments

Here you have the Spanish language submod for the mod. You must select it together with the main pack file.

Comments  (0 - 10 of 18)
arkamella
arkamella

Hi, great mod, but I´ve been having some problems. Every time y try to manage a battle myself the game crashes. I´ve tried all, changing the game language into english, and on and on.

Please tell me what I am doing wrongly so I can solve the troubles and play fully confortable. Thanks!!!

Reply Good karma Bad karma+1 vote
Miguel80tp Creator
Miguel80tp

Hello. Do you have the problem only with this mod? And you are only running this mod? This problem not happens to other users.

Reply Good karma+2 votes
arkamella
arkamella

Cuando me meto y le doi a "Gran Campaña" no me aparecen facciones. Si clico en "el último romano" o "la época de carlomagno", me aparecen entonces si las facciones, pero me dice que compre esas campañas. ¿tengo que comprarlas?, ¿o estoy haciendo algo mal?

Reply Good karma Bad karma+2 votes
Miguel80tp Creator
Miguel80tp

Sí, necesitas el DLC Age of Charlemagne para jugar.

Reply Good karma+2 votes
NIKI87
NIKI87

So is this just western Europe?

Reply Good karma Bad karma+1 vote
Miguel80tp Creator
Miguel80tp

Yes, it's for the Age of Charlemagne DLC

Reply Good karma+2 votes
Guest
Guest

Do I have to play it in english? When I start Attila as my normal german version in steam, I can´t get any descriptions or texts of buildings, fractions, etc.

Reply Good karma Bad karma0 votes
Miguel80tp Creator
Miguel80tp

Hello. The language of the game must be in English to play with the mods.

Reply Good karma+2 votes
Guest
Guest

Como lo instalo?

Reply Good karma Bad karma0 votes
Miguel80tp Creator
Miguel80tp

Tienes que suscribirte en el mod para que aparezca en tu Mod Manager de Steam

Reply Good karma+2 votes
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.